% **************************************************************************** %
% Author: Lambert Theisen
% => lambert.theisen@rwth-aachen.de
% => lambert.theisen@gmail.com
% Created: January 2019
% **************************************************************************** %



% **************************************************************************** %
% NOMENCLATURE
% **************************************************************************** %
% => https://www.sharelatex.com/learn/Nomenclatures
% synctex obviously not working right anymore, pages are shifted o_o
% ---
% latexmk needs special rule or just use arara
% https://tex.stackexchange.com/questions/105943/latexmk-and-nomencl
% vim $HOME/.latexmkrc
% ADD THERE:
% # Custom dependency and function for nomencl package
% add_cus_dep( 'nlo', 'nls', 0, 'makenlo2nls' );
% sub makenlo2nls {
% system( "makeindex -s nomencl.ist -o \"$_[0].nls\" \"$_[0].nlo\"" );
% }
% **************************************************************************** %

  % TODO: Move to gloassar package from CATS template

  % -------------------------------------------------------------------------- %
  % NOMENCLATURE
  % -------------------------------------------------------------------------- %
    \usepackage[intoc]{nomencl}
    \makenomenclature%
    \renewcommand{\nomname}{List of Symbols} % title
    % \renewcommand{\nomname}{List of Symbols, Abbreviations and Conventions} % title
    \setlength{\nomitemsep}{-\parsep} % thinner spacing
  % -------------------------------------------------------------------------- %

  % -------------------------------------------------------------------------- %
  % NOMENCLATURE SETTINGS (GROUPS; PREAMBLE):
  % -------------------------------------------------------------------------- %
    \renewcommand{\nompreamble}{The following symbols, abbreviations and conventions are used in this thesis:}

    \usepackage{ifthen}
    \usepackage{etoolbox}
    \renewcommand\nomgroup[1]{%
      \item[\bfseries
      \ifstrequal{#1}{A}{Symbols}{%
      \ifstrequal{#1}{B}{Math Typeset Style (according to TODO)}{%
      \ifstrequal{#1}{C}{Font Styles TODO}{}}}%
    ]}
  % -------------------------------------------------------------------------- %

  % ------------------------------------- ------------------------------------- %
  % INDENTION FIX
  % -------------------------------------------------------------------------- %
    \usepackage{xpatch} % for indention
    \patchcmd{\thenomenclature}
      {\leftmargin\labelwidth}
      {\leftmargin\labelwidth\itemindent0.65cm}
      {}{}
  % -------------------------------------------------------------------------- %

% **************************************************************************** %